"use strict";
// Copyright 2022 Akiomi Kamakura
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
const minify_html_literals_1 = require("minify-html-literals");
const plugin = (snowpackConfig, pluginOptions = {}) => ({
    name: 'snowpack-plugin-minify-html-literals',
    async transform({ id, contents, fileExt }) {
        const defaultOptions = { exts: ['.js', '.mjs', '.ts'] };
        const options = {
            ...defaultOptions,
            ...pluginOptions,
        };
        if (!options.exts.includes(fileExt)) {
            return null;
        }
        const result = (0, minify_html_literals_1.minifyHTMLLiterals)(contents.toString(), {
            fileName: id,
            ...pluginOptions.options,
        });
        if (!result) {
            return null;
        }
        return result.code;
    },
});
exports.default = plugin;
//# sourceMappingURL=index.js.map